﻿<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
        <script>
           
                let counter = 0;
  /*         
                 while (counter < 10) {
        
                    document.write(counter + "<br />"); 
                    ++counter; 
                };
       
             

          
      
            
                while (counter < 3) {
                    counter++;
                    document.write("<p>Counter " + counter);
                   if(counter > 249){
                         break;  
                   }
                    document.write("Эта строка не выполнится.");
                   
                }
        
                document.write("<p>Произведено " + counter + " итераций.");
  */   
  

  
      
    
         
                while (counter < 3) {
                    counter++;
                    document.write("<p>Counter " + counter);
        
                    continue;
        
                    document.write("Эта строка не выполнится.");
                }
        
                document.write("<p>Произведено " + counter + " итераций.");
   
              
            
    
            </script>
</body>
</html>